Back to Instagram
Apify·Instagram
Track Instagram Hashtag
/apify/instagram-hashtag-scraperasync$0.00345 / callScrape Instagram posts and reels by hashtags. Just add one or more hashtags and extract captions, locations, likes, plays, shares, comments count, images, timestamps, audio, and other hashtags. Export scraped hashtags, run the scraper via API, schedule and monitor runs or integrate with other tools. Runs as an Apify actor (20–120 s); results are dataset rows.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| hashtags | array | yes | Type in or paste the hashtag with or without # symbol. ⚠️ Each hashtag is treated as one single search term. If you put several words in one line (e.g. travel photography food), they'll be merged into a single hashtag (#travelphotographyfood). To search for terms separately, add each one as its own |
| keywordSearch | boolean | — | Enable this option if you want to get posts or reels by a specific keyword instead of a hashtag. Add your keywords to the Hashtags or keywords field above. Unlike with hashtags, multiple words are supported as keywords, just add spaces between them. The dataset will be slightly different than the on |
| resultsType | string (posts, reels, stories) | — | Choose whether to scrape posts or reels for the selected hashtags or keywords. (default "posts") |
| resultsLimit | integer | — | Set the maximum number of results (reels or posts) you want to scrape. If you set this to 5, you will scrape 5 posts for each hashtag or keyword you provide. With this setup, if you decide to add 7 different hashtags or keywords, you will scrape 35 posts altogether.⚠️ Free usage covers just the firs |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/apify/instagram-hashtag-scraper","input":{"hashtags":["natgeo"]}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.